package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type AdviceTalkImpl struct {
	dataTemp.DataTemp
	BaseRepository[model.AiTask]
}

func NewAdviceTalkImpl(db *utils.Db) *AdviceTalkImpl {
	return &AdviceTalkImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiAdviceTalk)),
	}
}
